Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
PepperInstance Struct Reference

## Data Fields
PP_Instance | instance
PP_Resource | url_loader
VALUE | self
void * | async_call_args
union {
int32_t as_int
const char * as_str
VALUE as_value
} | async_call_result
char | buf [1000]
pthread_t | th
pthread_mutex_t | mutex
pthread_cond_t | cond

## Detailed Description

Definition at line 82 of file pepper_main.c.

## Field Documentation

int32_t PepperInstance::as_int

Definition at line 88 of file pepper_main.c.

Referenced by pruby_async_return_int(), rb_file_load_ok(), and rb_load_file().

const char* PepperInstance::as_str

Definition at line 89 of file pepper_main.c.

Referenced by pruby_async_return_str().

VALUE PepperInstance::as_value

Definition at line 90 of file pepper_main.c.

Referenced by inst_mark(), load_file_read_contents(), load_file_read_contents_callback(), pruby_async_return_value(), and rb_load_file().

void* PepperInstance::async_call_args

Definition at line 86 of file pepper_main.c.

Referenced by init_libraries(), load_file_internal(), load_ok_internal(), Messaging_HandleMessage(), pruby_eval(), pruby_post_cstr(), pruby_post_value(), rb_file_load_ok(), and rb_load_file().

union { ... } PepperInstance::async_call_result

Referenced by inst_mark(), load_file_read_contents(), load_file_read_contents_callback(), pruby_async_return_int(), pruby_async_return_str(), pruby_async_return_value(), rb_file_load_ok(), and rb_load_file().

char PepperInstance::buf[1000]

Definition at line 92 of file pepper_main.c.

Referenced by load_file_read_contents(), and load_file_read_contents_callback().

pthread_cond_t PepperInstance::cond

Definition at line 96 of file pepper_main.c.

Referenced by pruby_async_return_int(), pruby_async_return_str(), pruby_async_return_value(), pruby_register_instance(), rb_file_load_ok(), and rb_load_file().

PP_Instance PepperInstance::instance

Definition at line 83 of file pepper_main.c.

Referenced by init_libraries(), init_libraries_if_necessary(), Instance_DidCreate(), load_file_internal(), load_file_read_contents(), load_file_read_contents_callback(), load_ok_internal(), Messaging_HandleMessage(), pruby_async_return_int(), pruby_async_return_str(), pruby_async_return_value(), pruby_eval(), pruby_file_fetch_check_response(), pruby_post_cstr(), pruby_post_value(), pruby_register_instance(), rb_file_load_ok(), and rb_load_file().

pthread_mutex_t PepperInstance::mutex

Definition at line 95 of file pepper_main.c.

Referenced by init_libraries(), pruby_eval(), pruby_register_instance(), rb_file_load_ok(), and rb_load_file().

VALUE PepperInstance::self

Definition at line 85 of file pepper_main.c.

Referenced by pruby_register_instance().

pthread_t PepperInstance::th

Definition at line 94 of file pepper_main.c.

Referenced by init_libraries_if_necessary(), and Messaging_HandleMessage().

PP_Resource PepperInstance::url_loader

Definition at line 84 of file pepper_main.c.

Referenced by Instance_DidDestroy(), load_file_internal(), load_file_read_contents(), load_file_read_contents_callback(), load_ok_internal(), pruby_file_fetch_check_response(), and pruby_register_instance().

The documentation for this struct was generated from the following file:

- nacl/pepper_main.c